package com.netease.nis.ocr_plugin_flutter.ocr_plugin_flutter

import android.content.Context
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory

/**
 * @author liuxiaoshuai
 * @date 2023/2/23
 * @desc
 * @email liulingfeng@mistong.com
 */
class NativeViewFactory : PlatformViewFactory(StandardMessageCodec.INSTANCE) {
    lateinit var ocrView: OcrView
    override fun create(context: Context?, viewId: Int, args: Any?): PlatformView {
        val creationParams = args as Map<String?, Any?>?
        ocrView = OcrView(context!!, viewId, creationParams)
        return ocrView
    }
}